"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cleandir = void 0;
const elements_1 = require("../elements");
const fs = require("fs");
const returnVoid = () => {};
const options = { recursive: true };

/**
 * Removes all contents of a directory, or creates the directory if absent.
 * (Actually it tries `rmdir()` and then `mkdir()`).
 */
const cleandir = (dirPath) => {
  const removeDir = () => fs.promises.rmdir(dirPath, options).catch(returnVoid);
  const makeDir = () => fs.promises.mkdir(dirPath, options);
  return elements_1.cmdEx(
    () => removeDir().then(makeDir).then(returnVoid),
    `cleandir ${dirPath}`
  );
};
exports.cleandir = cleandir;
