"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DisplayState = exports.Event = exports.CommandSubType = exports.CommandType = void 0;

/** Value that specifies the type of a `Command` object. */
exports.CommandType = {
  Unit: "unit",
  Group: "group",
};

/** Value that specifies the sub-type of a `Command` object. */
exports.CommandSubType = {
  CommandLine: "commandline",
  External: "external",
  Null: "null",
  Sequence: "sequence",
  Parallel: "parallel",
};

/** Event fired by `Command` objects. */
exports.Event = {
  Start: "start",
  Success: "success",
  Failure: "failure",
};
exports.DisplayState = {
  Collapsed: "collapsed",
  Hidden: "hidden",
};
