"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.traceRunDone = exports.traceDone = exports.traceRun = exports.debugLines = exports.debug = exports.emitVerboseLog = exports.logDebug = void 0;

/** `true` if debug log should be emitted. */
exports.logDebug = false;

/** Enables/disables emitting debug log. */
const emitVerboseLog = (yes = true) => {
  exports.logDebug = yes;
};
exports.emitVerboseLog = emitVerboseLog;

/** Emits debug log. */
const debug = (s) => {
  if (exports.logDebug) process.stdout.write(`[s-l-t-r] [debug] ${s}\n`);
};
exports.debug = debug;

/** Emits debug log of multiple lines. */
const debugLines = (lines, linePrefix = "") => {
  if (!exports.logDebug) return;
  for (const line of lines)
    process.stdout.write(`[s-l-t-r] [debug] ${linePrefix + line}\n`);
};
exports.debugLines = debugLines;
const traceRun = (s) => exports.debug("run:  " + s);
exports.traceRun = traceRun;
const traceDone = (s) => exports.debug("done: " + s);
exports.traceDone = traceDone;
const traceRunDone = (s) => exports.debug("run>done: " + s);
exports.traceRunDone = traceRunDone;
